<template>
  <div>

    <section class="sect-header">

        <div>
            <button @click="$router.go(-1)" class="button-return ">⟵ Volver</button>
            <h1>bandeja de <span class="color-prime-doctor">entrada</span></h1>
        </div>
        <div v-for="doctor in doctores.data" :key="doctor.id">

            <ul>
                <li class="containerLi  padding-bot125 ">
                   <hr class="head-hr-doctor">

                    <p class="contain">
                        consulta enviada por <span class="color-prime-doctor">{{ doctor.from_message }}</span>
                        para <span class="color-prime-doctor">{{ doctor.to_message }} {{ doctor.specialty_group }}</span>
                        y recibido el día <span class="color-prime-doctor">{{getHumanDate (doctor.date_send_message)}}</span>
                    </p>
                </li>
                <li class="padding-bot125 ">
                    <h3 class="padding-bot125 ">Consulta:</h3>
                    <p class="slogan"><b>{{ doctor.subject }}</b></p>
                </li>

                
                <li class="padding-bot125 ">
                    <!-- <p class="padding-top125 ">Mensaje:</p> -->
                    <p class="slogan">{{ doctor.message }}</p>
                </li>

                <!-- si hay un archivo lo mostramos -->
                <li v-if="doctor.attached.length > 0" 
                    class="padding-top125  padding-bot125 ">

                <!-- boton descarga imagen -->
                <a :href="doctor.attached" 
                    target="_blank" 
                    class="button-prime-border-green  margin-left-05 margin-right-05 ">
                    
                    <i class="icon-down-open "></i>  
                     <b>Descarga</b> aquí el archivo adjunto
                </a>
                <!-- <a :href="doctor.attached" target="_blank">
                        <img :src="doctor.attached" alt="descargar adjunto" width="100">
                    </a> -->
                </li>

            </ul>
            <!-- respesta -->
            <hr>
            <h3>Responde la consulta</h3>
            <ul>
                <li>
                    <textarea v-model="reply"  
                              placeholder="Respusta para la consulta"
                              class="boxsizingBorder"
                              cols="2" rows="10">
                    </textarea>
                </li>
                <li>
                    <button v-on:click="SendReplyInquiry()"
                            class="button-prime">
                            Responde la consulta
                    </button>
                </li>
            </ul>
        </div>


    </section>
  </div>
</template>

<script>
import moment from 'moment'
import Swal from 'sweetalert2';

export default {
    name:'inboxid',
    // inicio props
    props:{
        // recibimos lista doctores y especialidad
        doctores: {},

    },
   //FIN props
   // inicio DATA
    data(){
        return{
            // pasar datos a la vista para modificar
            reply: '',

        }

    },
    // FIN data
    // inicio methods
    methods:{
        // modificar fecha con moment
        getHumanDate : function (date) {
                return moment(date, 'YYYY-MM-DD').format('DD/MM/YYYY');
            },
        // responder consulta
        SendReplyInquiry() {

                if(this.reply){
                    Swal.fire({
                        position: 'center',
                        icon: 'success',
                        title: "Tu mensaje ha sido enviado correctamente. Muchas gracias",
                        showConfirmButton: false,
                        timer: 2000
                        })

                // pasar los datos a la vista
                this.$emit('sendReplyEmit', this.reply);
                
                // reiniciar datos del campo
                this.reply = ''
                }
            },
    }
    // FIN METHODS
    
}
</script>







<style scoped>

.sect-header {
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: left; 
  text-align: left; 
  padding: 0 5rem;
  height:100%;
  overflow:unset;
}

textarea {
  width:100%;
  margin-left: 0;
  resize: none;
}

/* section{
    align-content: center;

    text-align: center;
}
li {
    margin: 0 100px;
    text-align: left;
    list-style: none;
    }

.containerLi{
	background: whitesmoke;
    display:flex;
    justify-content: space-between;
    margin-bottom: 25px;
	}

.contain{
		float:left;
		margin: 10px;
	}


.button-icon:hover{
    margin: 0px;
    padding: 10px;
    color: white;
    background-color:#263238;
}
button {
    background-color:orangered; 
    border: none;
    color: #37474f;
    padding: 10px 25px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 12px;
    margin: 4px 2px;
    cursor: pointer;
} */

</style>